!vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvC
!                                                                      C
!  Module name: USR1                                                   C
!  Purpose: This routine is called from the time loop and is           C
!           user-definable.  The user may insert code in this routine  C
!           or call appropriate user defined subroutines.  This        C
!           can be used for setting or checking errors in quantities   C
!           that vary with time.  This routine is not called from an   C
!           IJK loop, hence all indices are undefined.                 C               C
!                                                                      C
!  Author:                                            Date: dd-mmm-yy  C
!  Reviewer:                                          Date: dd-mmm-yy  C
!                                                                      C
!  Revision Number:                                                    C
!  Purpose:                                                            C
!  Author:                                            Date: dd-mmm-yy  C
!  Reviewer:                                          Date: dd-mmm-yy  C
!                                                                      C
!  Literature/Document References:                                     C
!                                                                      C
!  Variables referenced:                                               C
!  Variables modified:                                                 C
!                                                                      C
!  Local variables:                                                    C
!                                                                      C
!^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^C
!
      SUBROUTINE USR1 
!...Translated by Pacific-Sierra Research VAST-90 2.06G5  12:17:31  12/09/98  
!...Switches: -xf
      Use usr
      Use param
      Use param1
      Use ps
      Use run
      USE bc
      USE fldvar
      USE geometry
      USE indices
      USE constant
      USE toleranc
      USE discretelement
      USE physprop
      USE bc
      USE des_allocate
      USE des_bc
      USE functions
      USE mpi_utility
      USE mfix_pic
      USE parallel
      USE geometry

!Modules for the evaluation of the position of the point source cell

   use calc_cell_mod, only: calc_cell, calc_loc
   use error_manager
   use location_check_mod, only: location_check
     
      IMPLICIT NONE

INTEGER :: I_w , I_e , J_s , J_n , K_b , K_t
!-----------------------------------------------
!
!  Include files defining common blocks here
!
!  Define local variables here
!
!
!  Include files defining statement functions here

DO particlenumber=1, PARTICLES

if (TIME.le.10) then

DES_POS_NEW(particlenumber,1) = (0.143860+0.00732*(particlenumber-1))*100
DES_POS_NEW(particlenumber,2) = 90

DES_VEL_NEW(particlenumber,1) = 0
DES_VEL_NEW(particlenumber,2) = 0

PS_MASSFLOW_G(particlenumber) = 0

endif

enddo
      RETURN  
      END SUBROUTINE USR1 
